Retrieve a customer
Retrieve identifying information for a specific customer. The returned data varies by customer type - verified customers include contact details, address information, and verification status, while unverified customers and receive-only users contain basic contact information only.
GET https://api-sandbox.dwolla.com/customers/FC451A7A-AE30-4404-AB95-E3553FCD733F
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("customers/FC451A7A-AE30-4404-AB95-E3553FCD733F")
.then((res) => res.body);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer = app_token.get('customers/FC451A7A-AE30-4404-AB95-E3553FCD733F')
customer.body
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$customer = $customersApi->getCustomer("FC451A7A-AE30-4404-AB95-E3553FCD733F");
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer = app_token.get "customers/FC451A7A-AE30-4404-AB95-E3553FCD733F"
{
"_links": {},
"id": "c41125c5-99c4-4303-a9f6-d066d28a61e3",
"firstName": "Jane",
"lastName": "Doe",
"email": "janedoe@mail.com",
"created": "2022-10-07T16:46:13.023Z",
"type": "unverified",
"status": "unverified",
"correlationId": "CID-abe2bb3d-d2ff-433b-95a3-0debd960ed25",
"businessName": "Jane Corp llc"
}{
"code": "forbidden",
"message": "Not authorized to get a customer by id."
}{
"code": "notFound",
"message": "Customer not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
Customer unique identifier
Response
successful operation
- UnverifiedCustomer
- ReceiveOnlyCustomer
- VerifiedPersonalCustomer
- VerifiedSolePropCustomer
- VerifiedBusinessCustomer
Unverified customer - basic customer type with no KYC verification
Show child attributes
Show child attributes
"c41125c5-99c4-4303-a9f6-d066d28a61e3"
"Jane"
"Doe"
"janedoe@mail.com"
"2022-10-07T16:46:13.023Z"
unverified "unverified"
unverified, suspended, deactivated "unverified"
"CID-abe2bb3d-d2ff-433b-95a3-0debd960ed25"
"Jane Corp llc"
Was this page helpful?
GET https://api-sandbox.dwolla.com/customers/FC451A7A-AE30-4404-AB95-E3553FCD733F
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("customers/FC451A7A-AE30-4404-AB95-E3553FCD733F")
.then((res) => res.body);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer = app_token.get('customers/FC451A7A-AE30-4404-AB95-E3553FCD733F')
customer.body
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$customer = $customersApi->getCustomer("FC451A7A-AE30-4404-AB95-E3553FCD733F");
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer = app_token.get "customers/FC451A7A-AE30-4404-AB95-E3553FCD733F"
{
"_links": {},
"id": "c41125c5-99c4-4303-a9f6-d066d28a61e3",
"firstName": "Jane",
"lastName": "Doe",
"email": "janedoe@mail.com",
"created": "2022-10-07T16:46:13.023Z",
"type": "unverified",
"status": "unverified",
"correlationId": "CID-abe2bb3d-d2ff-433b-95a3-0debd960ed25",
"businessName": "Jane Corp llc"
}{
"code": "forbidden",
"message": "Not authorized to get a customer by id."
}{
"code": "notFound",
"message": "Customer not found."
}